CREATE TABLE gtg_aac_model_results (
    MODEL_ID                      NUMBER(19, 0) ,
    RESULT_ID                     NUMBER(19, 0) ,
    JOB_ID                        NUMBER(19, 0)     NOT NULL,
    LAST_RUN_DATE                 TIMESTAMP(6)      NOT NULL,
    DATASOURCE_NAMES              VARCHAR2(1024)    NOT NULL,
    USER_ID                       VARCHAR2(256)     NOT NULL,
    INCIDENT_INFORMATION          VARCHAR2(4000)    NOT NULL,
    INCIDENT_INFORMATION_CODES    VARCHAR2(4000)    NOT NULL,
    ENTITLEMENTS                  VARCHAR2(4000),
    ROLE                          VARCHAR2(4000)    NOT NULL,
    ACCESS_POINT_NAME             VARCHAR2(1600),
    ACCESS_POINT_TYPE             VARCHAR2(1600),
    GROUP_PATHS                   VARCHAR2(4000)    NOT NULL,
    IS_INTRA_ROLE_VIOL            NUMBER(1, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    MODEL_ID                      NUMBER(19, 0) ,
    RESULT_ID                     NUMBER(19, 0) ,
    JOB_ID                        NUMBER(19, 0)     NOT NULL,
    LAST_RUN_DATE                 TIMESTAMP(6)      NOT NULL,
    DATASOURCE_NAMES              VARCHAR2(1024)    NOT NULL,
    USER_ID                       VARCHAR2(256)     NOT NULL,
    INCIDENT_INFORMATION          VARCHAR2(4000)    NOT NULL,
    INCIDENT_INFORMATION_CODES    VARCHAR2(4000)    NOT NULL,
    ENTITLEMENTS                  VARCHAR2(4000),
    ROLE                          VARCHAR2(4000)    NOT NULL,
    ACCESS_POINT_NAME             VARCHAR2(1600),
    ACCESS_POINT_TYPE             VARCHAR2(1600),
    GROUP_PATHS                   VARCHAR2(4000)    NOT NULL,
    IS_INTRA_ROLE_VIOL            NUMBER(1, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    CONSTRAINT pk_gtg_aac_model_results PRIMARY KEY (MODEL_ID, RESULT_ID, MODEL_ID, RESULT_ID)
);
